Bug 84573 - COLOR PICKER: Keyboard keys not functional when palette drop down list open
Summary: COLOR PICKER: Keyboard keys not functional when palette drop down list open
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Juergen Funk (CIB)
URL:
Whiteboard: target:4.4.0
Keywords: accessibility
Depends on:
Blocks: Color-Picker-Widget
  Show dependency treegraph
 
Reported: 2014-10-02 00:09 UTC by Yousuf Philips (jay) (retired)
Modified: 2015-12-18 09:33 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
screenshot of the palette drop down list (5.89 KB, image/png)
2014-10-03 03:49 UTC, tommy27
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-10-02 00:09:08 UTC
Pulled from bug 37480 comment 17.

2) medium: with the palette drop down open, the up and down keys dont work and instead move the cursor in the document.
Comment 1 tommy27 2014-10-02 04:27:45 UTC
I don't reproduce it under Win7x64 with  4.4.0.0.alpha0+
Build ID: faf99f6f405e076d5c9ab95c876ae1ffb896f8d1
TinderBox: Win-x86@39, Branch:master, Time: 2014-09-26_09:41:28

arrow keys, page up, page down, home and end keys do work inside the palette UI.
Comment 2 Yousuf Philips (jay) (retired) 2014-10-02 07:12:28 UTC
Palette drop down is where the names of the palettes are listed. This isnt about the color drop down. :)
Comment 3 tommy27 2014-10-03 03:49:39 UTC
Created attachment 107243 [details]
screenshot of the palette drop down list

Ok, now I understand and confirm it with 4.4.x latest build 02.10.14

adding a screesnhot as well
Comment 4 Juergen Funk (CIB) 2014-11-03 14:27:55 UTC
Try to fix
Comment 5 Commit Notification 2014-11-06 09:48:28 UTC
Juergen Funk committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=40f4284df5c4668a6f908b723d29a47411f5ff81

fdo#84573 COLOR PICKER: Improve keyboard navigation

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Robinson Tryon (qubit) 2015-12-18 09:33:06 UTC
Migrating Whiteboard tags to Keywords: (a11y -> accessibility)
[NinjaEdit]